Bug 1259741 - [ja_JP][fr_FR][es_ES] Unlocalized Welcome page in Home -> Home Page.
[ja_JP][fr_FR][es_ES] Unlocalized Welcome page in Home -> Home Page.
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: ER1
: 6.3.0
Assigned To: Michael
Tomas David
: Translation
: 1284758 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 09:10 EDT by Tomas David
Modified: 2018-01-29 08:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unlocalized Welcome page (99.37 KB, image/png)
2015-11-18 22:57 EST, Lijun Li
no flags Details
Japan weclome page (128.63 KB, image/png)
2016-03-03 02:18 EST, Tomas David
no flags Details

  None (edit)
Description Tomas David 2015-09-03 09:10:06 EDT
Description of problem:
Some parts of business central are not translated to some languages.
For example home page (welcome text) is not translated to Spanish and French.

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER1

How reproducible:
-

Steps to Reproduce:
1. Open Workbench Settings dialog (cogwheel icon).
2. Switch language to French.
3. Look at welcome text.

Actual results:
Welcome text is in English.

Expected results:
Welcome text is in French.

Additional info:
-
Comment 1 Angela Garcia 2015-11-18 17:18:53 EST
This has now been reported to QA team after the first localization QA event which just took place. This should be fixed in the next release as soon as the QA team addresses this.
Comment 2 Lijun Li 2015-11-18 22:57 EST
Created attachment 1096483 [details]
Unlocalized Welcome page
Comment 3 Satyabrata Maitra 2015-11-18 23:57:15 EST
It is a translation bug. Removed the keyword i18n.
Comment 4 Lijun Li 2015-11-24 03:46:06 EST
*** Bug 1284758 has been marked as a duplicate of this bug. ***
Comment 5 manstis 2016-02-09 08:59:09 EST
I checked the "target" translations in Zanata for kie-wb-distributions (https://translate.jboss.org/project/view/kie-wb-distributions) and the constants used on the "Product Home Page" now appear translated. This BZ should therefore be resolved with the next (Product 6.3.x) build.
Comment 6 Tomas David 2016-03-03 02:18 EST
Created attachment 1132660 [details]
Japan weclome page

There is still some untranslated text in japan version.
Comment 8 Tomas David 2016-03-17 08:05:39 EDT
Still some untranslated text in welcome page. Translated (OK) and untranslated (x) text table:

BRMS
-----------------------------------
          Model | Analyze | Deploy
          -------------------------
English    OK   |    OK   |    OK
German     OK   |    x    |    x
Spanish    x    |    x    |    x
French     x    |    x    |    x
Japanese   OK   |    OK   |    OK
Portuguese x    |    x    |    x
Chinese    OK   |    x    |    x

BPMS
-----------------------------------
All sections of all the languages (english is ok) are untranslated.
Comment 10 Tomas David 2016-04-21 05:44:43 EDT
Verified with BRMS and BPMS 6.3.0.ER3.

Note You need to log in before you can comment on or make changes to this bug.